# vim: ft=spec

%global pybin %{?fedora:%{__python3}}%{!?fedora:%{__python2}}
%global pylib %{?fedora:%{python3_sitelib}}%{!?fedora:%{python2_sitelib}}
%global pypkg %{?fedora:python3}%{!?fedora:python}
%global meh_pypkg %{?fedora:%{pypkg}-}

%if 0%{?rhel} >= 8
%global pybin %__python3
%global pylib %python3_sitelib
%global pypkg python3
%global meh_pypkg python3-
%endif


Name:       distgen
Summary:    Templating system/generator for distributions
Version:    1.17
Release:    999.git_85_d74fc%{?dist}
License:    GPLv2+
URL:        https://github.com/devexp-db/distgen
BuildArch:  noarch

Requires: %{pypkg}-jinja2
Requires: %{pypkg}-distro
Requires: %{meh_pypkg}PyYAML
Requires: %{pypkg}-six

BuildRequires: make
BuildRequires: %{pypkg}-devel
BuildRequires: %{pypkg}-distro
BuildRequires: %{pypkg}-jinja2
BuildRequires: %{meh_pypkg}pytest
%if 0%{?rhel} && 0%{?rhel} < 8
BuildRequires: %{pypkg}-mock
BuildRequires: %{pypkg}-pytest-catchlog
%endif
BuildRequires: %{meh_pypkg}PyYAML
BuildRequires: %{pypkg}-setuptools
BuildRequires: %{pypkg}-six

Source0: https://pypi.org/packages/source/d/%name/%name-%version.tar.gz

%description
Based on given template specification (configuration for template), template
file and preexisting distribution metadata generate output file.


%prep
%autosetup -p1


%build
%{pybin} setup.py build


%install
%{pybin} setup.py install --root=%{buildroot}
mkdir -p %{buildroot}%{_datadir}/distgen
mv %{buildroot}%{pylib}/distgen/{distconf,templates} %{buildroot}%{_datadir}/distgen


%check
make PYTHON=%{pybin} check


%files
%license LICENSE
%doc AUTHORS NEWS
%doc docs/
%{_bindir}/dg
%{pylib}/distgen
%{pylib}/%{name}-*.egg-info
%{_datadir}/%{name}
%{_mandir}/man1/*


%changelog
* Wed Mar 21 2018 Pavel Raiskup <praiskup@redhat.com> - 1.17-999.git_85_d74fc
- no changelog from git-repo build ATM
